Subject: Re: material for git training sessions/presentations

From: Sitaram Chamarty <[email-masked]>
Date: Wed, 07 May 2014 20:32:13 +0530

On 05/05/2014 09:48 AM, Chris Packham wrote:
> Hi,
>
> I know there are a few people on this list that do git training in
> various forms. At $dayjob I've been asked to run a few training
> sessions in house. The initial audience is SW developers so they are
> fairly clued up on VCS concepts and most have some experience
> (although some not positive) with git. Eventually this may also
> include some QA folks who are writing/maintaining test suites who
> might be less clued up on VCSes in general.
>
> I know if I googled for git tutorials I'll find a bunch and I can
> probably write a few myself but does anyone have any advice from
> training sessions they've run about how best to present the subject
> matter. Particularly to a fairly savy audience who may have developed
> some bad habits. My plan was to try and have a few PCs/laptops handy
> and try to make it a little interactive.
>
> Also if anyone has any presentations I could use under a CC-BY-SA (or
> other liberal license) as a basis for any material I produce that
> would save me starting from scratch.

I've written and used the following; the first one is a bit more popular
(or at least has been mentioned several times on #git)

1. git concepts simplified: http://gitolite.com/gcs.html
2. a presentation on git: http://gitolite.com/git.html

You can use them straight off the web.